Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157390 - System doesn't reboot on SMP machine after diskdump finished
Summary: System doesn't reboot on SMP machine after diskdump finished
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Akira Imamura
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-11 05:47 UTC by Hirotaka Sasaki
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-17 23:17:54 UTC


Attachments (Terms of Use)

Description Hirotaka Sasaki 2005-05-11 05:47:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
Normally, if /proc/sys/kernel/panic is > 0, system reboots after disudmp finished. But on SMP machine, system doesn't reboot after diskdump (or netdump) finished.

When CPU#0 executed diskdump, system reboots. But When other CPU executed diskdump, system doesn't reboot.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-5.0.5.EL

How reproducible:
Sometimes

Steps to Reproduce:
1.Configure diskdump (or netdump).
2.echo 1 > /proc/sys/kernel/sysrq
3.echo 5 > /proc/sys/kernel/panic
4.echo c > /proc/sysrq-trigger

Diskdump completed, but system stopped at following:

 CPU frozen: #0#1#3
 CPU#2 is executing diskdump.
 start dumping
 check dump partition...
 dumping memory.
 <6>disk_dump: diskdump succeeded
 <0>Rebooting in 5 seconds..
  

Actual Results:  System doesn't reboot after diskdump finished.

Expected Results:  If /proc/sys/kernel/panic is > 0, system reboot after diskdump finished.

Additional info:

Comment 2 Akira Imamura 2005-08-12 22:14:55 UTC
Sasaki-san,

Could you first check on whether Update1 kernel has the same problem as the
kernel that you used?

Best regards,
Akira Imamura



Note You need to log in before you can comment on or make changes to this bug.